{
  "window.zoomLevel": 1, // Permet de zoomer, pratique si vous faites une présentation
  // Apparence
  // -- Editeur
  "workbench.startupEditor": "none", // On ne veut pas une page d'accueil chargée
  "editor.minimap.enabled": true, // On veut voir la minimap
  "editor.minimap.showSlider": "always", // On veut voir la minimap
  "editor.minimap.size": "fill", // On veut voir la minimap
  "editor.minimap.scale": 2,
  "editor.tokenColorCustomizations": {
    "textMateRules": [
      {
        "scope": [
          "storage.type.function",
          "storage.type.class"
        ],
        "settings": {
          "fontStyle": "bold",
          "foreground": "#4B9CD3"
        }
      }
    ]
  },
  "editor.minimap.renderCharacters": true,
  "editor.minimap.maxColumn": 120,
  "breadcrumbs.enabled": false,
  // -- Tabs
  "workbench.editor.wrapTabs": true, // On veut voir les tabs
  "workbench.editor.tabSizing": "shrink", // On veut voir les tabs
  "workbench.editor.pinnedTabSizing": "compact",
  "workbench.editor.enablePreview": false, // Un clic sur un fichier l'ouvre
  // -- Sidebar
  "workbench.tree.indent": 15, // Indente plus pour plus de clarté dans la sidebar
  "workbench.tree.renderIndentGuides": "always",
  // -- Code
  "editor.occurrencesHighlight": "singleFile", // On veut voir les occurences d'une variable
  "editor.renderWhitespace": "trailing", // On ne veut pas laisser d'espace en fin de ligne
  "editor.renderControlCharacters": true, // On veut voir les caractères de contrôle
  // Thème
  "editor.fontFamily": "'JetBrains Mono', 'Fira Code', 'Operator Mono Lig', monospace",
  "editor.fontLigatures": false,
  "editor.fontSize": 13,
  "editor.lineHeight": 22,
  "editor.guides.bracketPairs": "active",
  // Ergonomie
  "editor.wordWrap": "off",
  "editor.rulers": [],
  "editor.suggest.insertMode": "replace", // L'autocomplétion remplace le mot en cours
  "editor.acceptSuggestionOnCommitCharacter": false, // Evite que l'autocomplétion soit accepté lors d'un . par exemple
  "editor.formatOnSave": true,
  "editor.formatOnPaste": true,
  "editor.linkedEditing": true, // Quand on change un élément HTML, change la balise fermante
  "editor.tabSize": 2,
  "editor.unicodeHighlight.nonBasicASCII": false,
  "[php]": {
    "editor.defaultFormatter": "bmewburn.vscode-intelephense-client",
    "editor.formatOnSave": true,
    "editor.formatOnPaste": true
  },
  "intelephense.format.braces": "k&r",
  "intelephense.format.enable": true,
  "[javascript]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode",
    "editor.formatOnSave": true,
    "editor.formatOnPaste": true
  },
  "[dart]": {
    "editor.formatOnSave": true,
    "editor.formatOnType": true,
    "editor.rulers": [
      80
    ],
    "editor.selectionHighlight": false,
    "editor.tabCompletion": "onlySnippets",
    "editor.wordBasedSuggestions": "off"
  },
  "prettier.printWidth": 360,
  "prettier.semi": true,
  "prettier.singleQuote": true,
  "prettier.tabWidth": 2,
  "prettier.trailingComma": "es5",
  "explorer.autoReveal": false,
  "explorer.confirmDragAndDrop": false,
  "emmet.triggerExpansionOnTab": true,
  // Fichiers
  "files.defaultLanguage": "markdown",
  "files.autoSaveWorkspaceFilesOnly": true,
  "files.exclude": {
    "**/.idea": true
  },
  // Languages
  "javascript.preferences.importModuleSpecifierEnding": "js",
  "typescript.preferences.importModuleSpecifierEnding": "js",
  // Extensions
  "tailwindCSS.experimental.configFile": "frontend/tailwind.config.js",
  "editor.quickSuggestions": {
    "strings": true
  },
  "[svelte]": {
    "editor.defaultFormatter": "svelte.svelte-vscode",
    "editor.formatOnSave": true
  },
  "prettier.documentSelectors": [
    "**/*.svelte"
  ],
  "svelte.plugin.svelte.diagnostics.enable": false,
  "problems.decorations.enabled": false,
  "js/ts.implicitProjectConfig.checkJs": false,
  "svelte.enable-ts-plugin": false,
  "workbench.colorCustomizations": {
    "activityBar.activeBackground": "#405978",
    "activityBar.background": "#405978",
    "activityBar.foreground": "#e7e7e7",
    "activityBar.inactiveForeground": "#e7e7e799",
    "activityBarBadge.background": "#bc829c",
    "activityBarBadge.foreground": "#15202b",
    "commandCenter.border": "#e7e7e799",
    "sash.hoverBorder": "#405978",
    "statusBar.background": "#2e4057",
    "statusBar.foreground": "#e7e7e7",
    "statusBarItem.hoverBackground": "#405978",
    "statusBarItem.remoteBackground": "#2e4057",
    "statusBarItem.remoteForeground": "#e7e7e7",
    "titleBar.activeBackground": "#2e4057",
    "titleBar.activeForeground": "#e7e7e7",
    "titleBar.inactiveBackground": "#2e405799",
    "titleBar.inactiveForeground": "#e7e7e799"
  },
  "peacock.color": "#2E4057",
}